Create a booking to be invoiced
POST
/v1/booking/checkout/bookings/CreateBookingToBeInvoiced
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CreateBookingToBeInvoiced';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"alias":"example","orderNumber":"example","bookingRootId":1,"started":"2026-04-15T12:00:00Z","completed":"2026-04-15T12:00:00Z","placeAlias":"example","customerId":1,"contactId":1,"invoiceMarking":"example","orderRows":[{"name":"example","extArticleId":"example","amount":1,"vatPercent":1,"itemCount":1,"createdAt":"2026-04-15T12:00:00Z"}],"tableArticleIds":[1],"numberOfPeople":1,"cashierName":"example","tip":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CreateBookingToBeInvoiced \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "alias": "example", "orderNumber": "example", "bookingRootId": 1, "started": "2026-04-15T12:00:00Z", "completed": "2026-04-15T12:00:00Z", "placeAlias": "example", "customerId": 1, "contactId": 1, "invoiceMarking": "example", "orderRows": [ { "name": "example", "extArticleId": "example", "amount": 1, "vatPercent": 1, "itemCount": 1, "createdAt": "2026-04-15T12:00:00Z" } ], "tableArticleIds": [ 1 ], "numberOfPeople": 1, "cashierName": "example", "tip": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
alias
string
orderNumber
string
bookingRootId
integer format: int64
started
string format: date-time
completed
string format: date-time
placeAlias
string
customerId
integer format: int64
contactId
integer format: int64
invoiceMarking
string
orderRows
Array<object>
object
name
string
extArticleId
string
amount
number format: decimal
vatPercent
number format: decimal
itemCount
number format: decimal
createdAt
string format: date-time
tableArticleIds
Array<integer>
numberOfPeople
integer format: int32
cashierName
string
tip
number format: decimal
Examplegenerated
{ "alias": "example", "orderNumber": "example", "bookingRootId": 1, "started": "2026-04-15T12:00:00Z", "completed": "2026-04-15T12:00:00Z", "placeAlias": "example", "customerId": 1, "contactId": 1, "invoiceMarking": "example", "orderRows": [ { "name": "example", "extArticleId": "example", "amount": 1, "vatPercent": 1, "itemCount": 1, "createdAt": "2026-04-15T12:00:00Z" } ], "tableArticleIds": [ 1 ], "numberOfPeople": 1, "cashierName": "example", "tip": 1}Responses
Section titled “Responses”The created booking with status “ReadyForInvoice”
Media typeapplication/json
object
result
One of:
object
bookingNumber
string
start
string format: date-time
end
string format: date-time
guests
integer format: int32
guestsChildren
integer format: int32
message
string
messageInternal
string
status
integer format: byte
contactId
integer format: int64
contactFirstName
string
contactLastName
string
customerId
integer format: int64
customerName
string
bookingRootId
integer format: int64
checkoutPlaceId
string
id
integer format: int64
articleId
integer format: int64
tableArticles
Array<object>
object
start
string format: date-time
end
string format: date-time
articleId
integer format: int64
articleName
string
tableName
string
bookedArticleId
integer format: int64
nonTableArticles
Array<object>
object
start
string format: date-time
articleId
integer format: int64
bookedArticleId
integer format: int64
name
string
quantity
number format: decimal
outPriceIncVat
number format: decimal
vat
number format: decimal
mustBeInvoiced
boolean
validationResult
One of:
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
validationResults
object
key
additional properties
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
Example
{ "application/json": { "alias": "e715f711-198f-425f-9e34-85468c7fe0f5", "started": "2025-12-01T05:50:09.8530868+00:00", "completed": "2025-12-01T07:50:09.8532015+00:00", "placeAlias": "cbbf8345-3491-4611-8fd0-66be54a4157e", "customerId": 47, "contactId": 1920, "orderRows": [ { "name": "SASHIMI", "extArticleId": "85", "amount": 80, "vatPercent": 25, "itemCount": 5 }, { "name": "SKÄRGÅRDSRÖRA", "extArticleId": "86", "amount": 95, "vatPercent": 25, "itemCount": 5 } ], "numberOfPeople": 10, "cashierName": "Bella Roos" }}